---
title: ora feature usage
keywords: documentation
layout: documentation
sidebar: ora_config_sidebar
toc: false
---
## Overview


This resource allows you to report on Database feature usage

    ora_feature_usage { '<feature>@<database>':
      max_usage => 200,
      when_used => 'warning|error',
    }

Managable features are:

    - 'active_data_guard'
    - 'advanced_analytics'
    - 'advanced_compression'
    - 'advanced_security'
    - 'change_management_pack'
    - 'configuration_management_pack_for_oracle_database'
    - 'data_masking_pack'
    - 'database_gateway'
    - 'database_in-memory'
    - 'database_vault'
    - 'diagnostics_pack'
    - 'exadata'
    - 'goldengate'
    - 'hw'
    - 'label_security'
    - 'multitenant'
    - 'olap'
    - 'partitioning'
    - 'pillar_storage'
    - 'provisioning_and_patch_automation_pack'
    - 'provisioning_and_patch_automation_pack_for_database'
    - 'rac_or_rac_one_node'
    - 'real_application_clusters'
    - 'real_application_clusters_one_node'
    - 'real_application_testing'
    - 'secure_backup'
    - 'spatial_and_graph'
    - 'tuning_pack'
    - 'webLogic_server_management_pack_enterprise_edition'

## Attributes



Attribute Name                            | Short Description                                                                                             |
----------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
[max_usage](#ora_feature_usage_max_usage) | This resource allows you to specify the maximum usage for a certain Oracle feature
                           |
[name](#ora_feature_usage_name)           | The name
                                                                                                     |
[provider](#ora_feature_usage_provider)   | resource.                                                                                                     |
[when_used](#ora_feature_usage_when_used) | This resource allows you to specify which type of alert(warning or error) you want when max_usage is reached. |




### max_usage<a name='ora_feature_usage_max_usage'>


This resource allows you to specify the maximum usage for a certain Oracle feature

    ora_feature_usage { 'advanced_compression@dbname':
      ...
      max_usage => 200,
      ...
    }


[Back to overview of ora_feature_usage](#attributes)


### name<a name='ora_feature_usage_name'>

The name


[Back to overview of ora_feature_usage](#attributes)


### provider<a name='ora_feature_usage_provider'>

The specific backend to use for this `ora_feature_usage`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Report on database feature usage


[Back to overview of ora_feature_usage](#attributes)


### when_used<a name='ora_feature_usage_when_used'>


This resource allows you to specify which type of alert(warning or error) you want when max_usage is reached.

    ora_feature_usage { 'advanced_compression@dbname':
      ...
      when_used => 'warning|error',
      ...
    }

Valid values are `warning`, `WARNING`, `error`, `ERROR`. 
[Back to overview of ora_feature_usage](#attributes)

